Get a list of Runbook Processes
GET /api
Also reachable at /api, /api.
Path Parameters
projectIdstring (required)
The ID of the project containing the Runbook Processes.spaceIdstring (required)
Query Parameters
skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — Returns the Runbook Processes
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastSnapshotIdstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectIdstringRunbookIdstringSpaceIdstringStepsarray of objectVersioninteger
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastSnapshotId": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "Projects-1",
"RunbookId": "string",
"SpaceId": "Spaces-1",
"Steps": [
{}
],
"Version": 0
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Get the runbook process for the given ID
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The ID of the runbook process to retrieve.projectIdstring (required)spaceIdstring (required)
Response
200 — Returns the Runbook Process
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastSnapshotIdstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectIdstringRunbookIdstringSpaceIdstringStepsarray of objectActionsarray of objectConditionenum
Allowed values:Success,Failure,Always,Variable.IdstringNamestring
Minimum length 1.PackageRequirementenum
Allowed values:LetOctopusDecide,BeforePackageAcquisition,AfterPackageAcquisition.PropertiesobjectSlugstringStartTriggerenum
Allowed values:StartAfterPrevious,StartWithPrevious.Typestring
Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
Versioninteger
Example Response
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastSnapshotId": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "Projects-1",
"RunbookId": "string",
"SpaceId": "Spaces-1",
"Steps": [
{
"Actions": [
{}
],
"Condition": "Success",
"Id": "string",
"Name": "string",
"PackageRequirement": "LetOctopusDecide",
"Properties": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"Slug": "string",
"StartTrigger": "StartAfterPrevious",
"Type": "string"
}
],
"Version": 0
}Modify a Runbook Process
PUT /api
Also reachable at /api, /api.
Only allowed for Runbook Processes owned by a project.
Path Parameters
idstring (required)
Gets or sets a unique identifier for this resource.projectIdstring (required)spaceIdstring (required)
Request Body
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastSnapshotIdstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectIdstringRunbookIdstringSpaceIdstringStepsarray of objectActionsarray of objectConditionenum
Allowed values:Success,Failure,Always,Variable.IdstringNamestring (required)
Minimum length 1.PackageRequirementenum
Allowed values:LetOctopusDecide,BeforePackageAcquisition,AfterPackageAcquisition.PropertiesobjectSlugstringStartTriggerenum
Allowed values:StartAfterPrevious,StartWithPrevious.Typestring
Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
Versioninteger (required)
Response
200 — Confirmation that the Runbook Process has been modified, containing the updated Process
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastSnapshotIdstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectIdstringRunbookIdstringSpaceIdstringStepsarray of objectActionsarray of objectConditionenum
Allowed values:Success,Failure,Always,Variable.IdstringNamestring
Minimum length 1.PackageRequirementenum
Allowed values:LetOctopusDecide,BeforePackageAcquisition,AfterPackageAcquisition.PropertiesobjectSlugstringStartTriggerenum
Allowed values:StartAfterPrevious,StartWithPrevious.Typestring
Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
Versioninteger
Example Request
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastSnapshotId": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "Projects-1",
"RunbookId": "string",
"SpaceId": "Spaces-1",
"Steps": [
{
"Actions": [
{}
],
"Condition": "Success",
"Id": "string",
"Name": "string",
"PackageRequirement": "LetOctopusDecide",
"Properties": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"Slug": "string",
"StartTrigger": "StartAfterPrevious",
"Type": "string"
}
],
"Version": 0
}Example Response
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastSnapshotId": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "Projects-1",
"RunbookId": "string",
"SpaceId": "Spaces-1",
"Steps": [
{
"Actions": [
{}
],
"Condition": "Success",
"Id": "string",
"Name": "string",
"PackageRequirement": "LetOctopusDecide",
"Properties": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"Slug": "string",
"StartTrigger": "StartAfterPrevious",
"Type": "string"
}
],
"Version": 0
}Get all of the information necessary for creating or editing a Runbook Snapshot using this Runbook Process
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
Id of the Runbook Process.projectIdstring (required)
The ID of the project containing this resource. Will be inferred if not provided.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — The requested Runbook Process Snapshot Template
GitResourcesarray of objectActionNamestring
Minimum length 1.DefaultBranchstring
Minimum length 1.FilePathFiltersarray of stringGitCredentialIdstringGitHubConnectionIdstringGitResourceSelectedLastReleaseobjectIsResolvablebooleanNamestringRepositoryUristring
Minimum length 1.
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NextNameIncrementstringPackagesarray of objectActionNamestringFeedIdstringFeedNamestringFixedVersionstringIsResolvableboolean
Gets or sets a value indicating whether the PackageId or FeedId contain no references to other variables. Variables can be used to select different NuGet feeds or packages at deployment time, however, this means that it’s not possible to resolve which feed/package to search when creating a release.NuGetFeedIdstringNuGetFeedNamestringNuGetPackageIdstringPackageIdstringPackageReferenceNamestringProjectNamestringStepNamestringVersionSelectedLastReleasestring
RunbookIdstringRunbookProcessIdstring
Example Response
{
"GitResources": [
{
"ActionName": "string",
"DefaultBranch": "string",
"FilePathFilters": [
"string"
],
"GitCredentialId": "string",
"GitHubConnectionId": "string",
"GitResourceSelectedLastRelease": {
"GitCommit": "string",
"GitRef": "string"
},
"IsResolvable": true,
"Name": "string",
"RepositoryUri": "string"
}
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NextNameIncrement": "string",
"Packages": [
{
"ActionName": "string",
"FeedId": "string",
"FeedName": "string",
"FixedVersion": "string",
"IsResolvable": true,
"NuGetFeedId": "string",
"NuGetFeedName": "string",
"NuGetPackageId": "string",
"PackageId": "string",
"PackageReferenceName": "string",
"ProjectName": "string",
"StepName": "string",
"VersionSelectedLastRelease": "string"
}
],
"RunbookId": "string",
"RunbookProcessId": "string"
}Get the runbook process for the given ID
GET /api
Also reachable at /api, /api.
Path Parameters
gitRefstring (required)
The Git ref to read the runbook process from.idstring (required)
The ID of the runbook process to retrieve.projectIdstring (required)
The ID of the project the runbook process belongs to.spaceIdstring (required)
Response
200 — Returns the Runbook Process
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastSnapshotIdstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectIdstringRunbookIdstringSpaceIdstringStepsarray of objectActionsarray of objectConditionenum
Allowed values:Success,Failure,Always,Variable.IdstringNamestring
Minimum length 1.PackageRequirementenum
Allowed values:LetOctopusDecide,BeforePackageAcquisition,AfterPackageAcquisition.PropertiesobjectSlugstringStartTriggerenum
Allowed values:StartAfterPrevious,StartWithPrevious.Typestring
Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
Versioninteger
Example Response
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastSnapshotId": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "Projects-1",
"RunbookId": "string",
"SpaceId": "Spaces-1",
"Steps": [
{
"Actions": [
{}
],
"Condition": "Success",
"Id": "string",
"Name": "string",
"PackageRequirement": "LetOctopusDecide",
"Properties": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"Slug": "string",
"StartTrigger": "StartAfterPrevious",
"Type": "string"
}
],
"Version": 0
}Modify a Runbook Process
PUT /api
Also reachable at /api, /api.
Only allowed for Runbook Processes owned by a project.
Path Parameters
gitRefstring (required)
The GitRef containing the resource(s).idstring (required)
Gets or sets a unique identifier for this resource.projectIdstring (required)spaceIdstring (required)
Request Body
ChangeDescriptionstring
The commit message for updating the Git repository.GitRefstring (required)
The GitRef containing the resource(s).Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastSnapshotIdstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectIdstringRunbookIdstringSpaceIdstringStepsarray of objectActionsarray of objectConditionenum
Allowed values:Success,Failure,Always,Variable.IdstringNamestring (required)
Minimum length 1.PackageRequirementenum
Allowed values:LetOctopusDecide,BeforePackageAcquisition,AfterPackageAcquisition.PropertiesobjectSlugstringStartTriggerenum
Allowed values:StartAfterPrevious,StartWithPrevious.Typestring
Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
Versioninteger (required)
Response
200 — Confirmation that the Runbook Process has been modified, containing the updated Process
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastSnapshotIdstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectIdstringRunbookIdstringSpaceIdstringStepsarray of objectActionsarray of objectConditionenum
Allowed values:Success,Failure,Always,Variable.IdstringNamestring
Minimum length 1.PackageRequirementenum
Allowed values:LetOctopusDecide,BeforePackageAcquisition,AfterPackageAcquisition.PropertiesobjectSlugstringStartTriggerenum
Allowed values:StartAfterPrevious,StartWithPrevious.Typestring
Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
Versioninteger
Example Request
{
"ChangeDescription": "string",
"GitRef": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastSnapshotId": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "Projects-1",
"RunbookId": "string",
"SpaceId": "Spaces-1",
"Steps": [
{
"Actions": [
{}
],
"Condition": "Success",
"Id": "string",
"Name": "string",
"PackageRequirement": "LetOctopusDecide",
"Properties": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"Slug": "string",
"StartTrigger": "StartAfterPrevious",
"Type": "string"
}
],
"Version": 0
}Example Response
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastSnapshotId": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "Projects-1",
"RunbookId": "string",
"SpaceId": "Spaces-1",
"Steps": [
{
"Actions": [
{}
],
"Condition": "Success",
"Id": "string",
"Name": "string",
"PackageRequirement": "LetOctopusDecide",
"Properties": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"Slug": "string",
"StartTrigger": "StartAfterPrevious",
"Type": "string"
}
],
"Version": 0
}Get a list of Runbook Processes
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
Query Parameters
skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — Returns the Runbook Processes
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastSnapshotIdstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectIdstringRunbookIdstringSpaceIdstringStepsarray of objectVersioninteger
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastSnapshotId": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "Projects-1",
"RunbookId": "string",
"SpaceId": "Spaces-1",
"Steps": [
{}
],
"Version": 0
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Get the runbook process for the given ID
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The ID of the runbook process to retrieve.spaceIdstring (required)
Response
200 — Returns the Runbook Process
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastSnapshotIdstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectIdstringRunbookIdstringSpaceIdstringStepsarray of objectActionsarray of objectConditionenum
Allowed values:Success,Failure,Always,Variable.IdstringNamestring
Minimum length 1.PackageRequirementenum
Allowed values:LetOctopusDecide,BeforePackageAcquisition,AfterPackageAcquisition.PropertiesobjectSlugstringStartTriggerenum
Allowed values:StartAfterPrevious,StartWithPrevious.Typestring
Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
Versioninteger
Example Response
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastSnapshotId": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "Projects-1",
"RunbookId": "string",
"SpaceId": "Spaces-1",
"Steps": [
{
"Actions": [
{}
],
"Condition": "Success",
"Id": "string",
"Name": "string",
"PackageRequirement": "LetOctopusDecide",
"Properties": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"Slug": "string",
"StartTrigger": "StartAfterPrevious",
"Type": "string"
}
],
"Version": 0
}Modify a Runbook Process
PUT /api
Also reachable at /api, /api.
Only allowed for Runbook Processes owned by a project.
Path Parameters
idstring (required)
Gets or sets a unique identifier for this resource.spaceIdstring (required)
Request Body
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastSnapshotIdstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectIdstringRunbookIdstringSpaceIdstringStepsarray of objectActionsarray of objectConditionenum
Allowed values:Success,Failure,Always,Variable.IdstringNamestring (required)
Minimum length 1.PackageRequirementenum
Allowed values:LetOctopusDecide,BeforePackageAcquisition,AfterPackageAcquisition.PropertiesobjectSlugstringStartTriggerenum
Allowed values:StartAfterPrevious,StartWithPrevious.Typestring
Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
Versioninteger (required)
Response
200 — Confirmation that the Runbook Process has been modified, containing the updated Process
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastSnapshotIdstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectIdstringRunbookIdstringSpaceIdstringStepsarray of objectActionsarray of objectConditionenum
Allowed values:Success,Failure,Always,Variable.IdstringNamestring
Minimum length 1.PackageRequirementenum
Allowed values:LetOctopusDecide,BeforePackageAcquisition,AfterPackageAcquisition.PropertiesobjectSlugstringStartTriggerenum
Allowed values:StartAfterPrevious,StartWithPrevious.Typestring
Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
Versioninteger
Example Request
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastSnapshotId": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "Projects-1",
"RunbookId": "string",
"SpaceId": "Spaces-1",
"Steps": [
{
"Actions": [
{}
],
"Condition": "Success",
"Id": "string",
"Name": "string",
"PackageRequirement": "LetOctopusDecide",
"Properties": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"Slug": "string",
"StartTrigger": "StartAfterPrevious",
"Type": "string"
}
],
"Version": 0
}Example Response
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastSnapshotId": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "Projects-1",
"RunbookId": "string",
"SpaceId": "Spaces-1",
"Steps": [
{
"Actions": [
{}
],
"Condition": "Success",
"Id": "string",
"Name": "string",
"PackageRequirement": "LetOctopusDecide",
"Properties": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"Slug": "string",
"StartTrigger": "StartAfterPrevious",
"Type": "string"
}
],
"Version": 0
}Get all of the information necessary for creating or editing a Runbook Snapshot using this Runbook Process
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
Id of the Runbook Process.spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
projectIdstring
The ID of the project containing this resource. Will be inferred if not provided.
Response
200 — The requested Runbook Process Snapshot Template
GitResourcesarray of objectActionNamestring
Minimum length 1.DefaultBranchstring
Minimum length 1.FilePathFiltersarray of stringGitCredentialIdstringGitHubConnectionIdstringGitResourceSelectedLastReleaseobjectIsResolvablebooleanNamestringRepositoryUristring
Minimum length 1.
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NextNameIncrementstringPackagesarray of objectActionNamestringFeedIdstringFeedNamestringFixedVersionstringIsResolvableboolean
Gets or sets a value indicating whether the PackageId or FeedId contain no references to other variables. Variables can be used to select different NuGet feeds or packages at deployment time, however, this means that it’s not possible to resolve which feed/package to search when creating a release.NuGetFeedIdstringNuGetFeedNamestringNuGetPackageIdstringPackageIdstringPackageReferenceNamestringProjectNamestringStepNamestringVersionSelectedLastReleasestring
RunbookIdstringRunbookProcessIdstring
Example Response
{
"GitResources": [
{
"ActionName": "string",
"DefaultBranch": "string",
"FilePathFilters": [
"string"
],
"GitCredentialId": "string",
"GitHubConnectionId": "string",
"GitResourceSelectedLastRelease": {
"GitCommit": "string",
"GitRef": "string"
},
"IsResolvable": true,
"Name": "string",
"RepositoryUri": "string"
}
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NextNameIncrement": "string",
"Packages": [
{
"ActionName": "string",
"FeedId": "string",
"FeedName": "string",
"FixedVersion": "string",
"IsResolvable": true,
"NuGetFeedId": "string",
"NuGetFeedName": "string",
"NuGetPackageId": "string",
"PackageId": "string",
"PackageReferenceName": "string",
"ProjectName": "string",
"StepName": "string",
"VersionSelectedLastRelease": "string"
}
],
"RunbookId": "string",
"RunbookProcessId": "string"
}